petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMShellSetCoarsen

Set the routine used to coarsen the shell DM

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCoarsen(DM dm, PetscErrorCode (*coarsen)(DM,MPI_Comm,DM*))

Logically Collective on DM

Input Arguments

| dm | - the shell DM
| coarsen | - the routine that coarsens the DM

### See Also

DMShellSetRefine(), DMCoarsen(), DMShellSetContext(), DMShellGetContext()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex65.c.html